## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# https://github.com/justjanne/powerline-go
%global goipath         github.com/justjanne/powerline-go
Version:                1.22.1

%gometa

%global common_description %{expand:
A Powerline like prompt for Bash, ZSH and Fish.

 - Shows some important details about the git/hg branch
 - Changes color if the last command exited with a failure code
 - If you're too deep into a directory tree, shortens the displayed
   path with an ellipsis
 - Shows the current Python virtualenv environment
 - It's easy to customize and extend.}

Name:           powerline-go
Release:        %autorelease
Summary:        A beautiful and useful low-latency prompt for your shell, written in go

License:        GPL-3.0-or-later
URL:            %{gourl}
Source0:        %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/powerline-go %{goipath}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%files
%license LICENSE.md
%doc README.md
%{_bindir}/*

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.22.1-3
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jul 09 2022 Maxwell G <gotmax@e.email> - 1.22.1-2
- Rebuild for CVE-2022-{24675,28327,29526 in golang}

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.22.1-1
- Update to 1.22.1 - Close: rhbz#2077577

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.21.0-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar  5 19:29:43 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.21.0-1
- Update to 1.21.0
- Close: rhbz#1930987

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 14:21:07 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.20.0-1
- Update to 1.20.0
- Close: rhbz#1913090

* Mon Nov 09 14:53:31 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.18.0-1
- Update to 1.18.0
- Close rhbz#1886014

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 20:13:14 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.17.0-1
- Update to 1.17.0 (#1827401)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 14 05:21:10 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.15.0-1
- Release 1.15.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 17:21:00 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.13.0-1
- Release 1.13.0 (#1727039)

* Sat Mar 02 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.12.1-1
- Upstream release 1.12.1

* Tue Feb 19 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.12.0-1
- Upstream release 1.12.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.11.0-1
- Upstream release 1.11.0

* Wed Apr 11 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.9.0-1
- Upstream release 1.9.0
- Update to new Go packaging guidelines

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 07 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.8.2-1
- Upstream release 1.8.2

* Fri Oct 20 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.8.1-1
- Upstream release 1.8.1

* Sat Sep 02 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.1-1
- Upstream release 1.5.1

* Fri Sep 01 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.0-1
- Initial RPM release

## END: Generated by rpmautospec
